---
mapped_pages:
  - https://www.elastic.co/guide/en/kibana/current/kibana-architecture.html
---

# Architecture [kibana-architecture]

::::{important}
The {{kib}} Plugin APIs are in a state of constant development. We cannot provide backwards compatibility at this time due to the high rate of change.

::::


To begin plugin development, we recommend reading our overview of how plugins work:

* [{{kib}} Plugin API](/extend/kibana-platform-plugin-api.md)

Our developer services are changing all the time. One of the best ways to discover and learn about them is to read the available READMEs inside our plugins folders: [src/plugins](https://github.com/elastic/kibana/tree/master/src/plugins) and [x-pack/plugins](https://github.com/elastic/kibana/tree/master/x-pack/plugins).

A few services also automatically generate api documentation which can be browsed inside the [docs/development section of our repo](https://github.com/elastic/kibana/tree/master/docs/development)

A few notable services are called out below.

* [{{kib}} Core API](/extend/kibana-platform-api.md)
* [Security](/extend/development-security.md)
* [Add data tutorials](/extend/add-data-tutorials.md)
* [Developing Visualizations](/extend/development-visualize-index.md)
* [Reporting integration](/extend/reporting-integration.md)

















