---
navigation_title: "Configuration"
---
# Kibana configuration reference

Configuration settings enable you to customize the behavior of Kibana apps and features.
This reference provides details about each setting, such as its purpose, default behavior, and availability in Elastic Cloud environments.

For information about how to update these settings, refer to the appropriate instructions for your environment. For example, [{{ech}}](docs-content://deploy-manage/deploy/elastic-cloud/edit-stack-settings.md), [{{ece}}](docs-content://deploy-manage/deploy/cloud-enterprise/edit-stack-settings-kibana.md), or [self-managed clusters](docs-content://deploy-manage/deploy/self-managed/configure-kibana.md).

The settings are grouped by feature or purpose, for example:

- [AI Assistant](/reference/configuration-reference/ai-assistant-settings.md)
- [Alerting](/reference/configuration-reference/alerting-settings.md)
- [APM](/reference/configuration-reference/apm-settings.md)
- [Banners](/reference/configuration-reference/banner-settings.md)
- [Cases](/reference/configuration-reference/cases-settings.md)
- [Fleet](/reference/configuration-reference/fleet-settings.md)
- [General](/reference/configuration-reference/general-settings.md)
- [Internationalization](/reference/configuration-reference/internationalization-settings.md)
- [Logging](/reference/configuration-reference/logging-settings.md)
- [Logs](/reference/configuration-reference/logs-settings.md)
- [Maps](/reference/configuration-reference/map-settings.md)
- [Metrics](/reference/configuration-reference/metrics-settings.md)
- [Monitoring](/reference/configuration-reference/monitoring-settings.md)
- [Reporting](/reference/configuration-reference/reporting-settings.md)
- [Search sessions](/reference/configuration-reference/search-sessions-settings.md)
- [Security](/reference/configuration-reference/security-settings.md)
- [Spaces](/reference/configuration-reference/spaces-settings.md)
- [Task Manager](/reference/configuration-reference/task-manager-settings.md)
- [Telemetry](/reference/configuration-reference/telemetry-settings.md)
- [URL drilldown](/reference/configuration-reference/url-drilldown-settings.md)